summaryrefslogtreecommitdiff
path: root/debian/libpam-runtime.preinst
diff options
context:
space:
mode:
authorSteve Langasek <vorlon@debian.org>2019-01-02 12:24:44 -0800
committerSteve Langasek <vorlon@debian.org>2019-01-02 12:27:24 -0800
commita6f4ab0bebc76acf85cc0244bd21c1036009c28c (patch)
treedf0d6a57d2b91ab9038e8d7b0d62f28c2daa66db /debian/libpam-runtime.preinst
parent10b6243f4664747e815372070142d6c5853176da (diff)
fix-up commit for grafting svn history onto git history
Diffstat (limited to 'debian/libpam-runtime.preinst')
-rw-r--r--debian/libpam-runtime.preinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/libpam-runtime.preinst b/debian/libpam-runtime.preinst
new file mode 100644
index 00000000..7eef6c46
--- /dev/null
+++ b/debian/libpam-runtime.preinst
@@ -0,0 +1,50 @@
+#! /bin/sh
+# see: dh_installdeb(1)
+
+set -e
+
+remove_md5() {
+ if md5sum $1 2>/dev/null |grep -q $2; then
+ cp $1 $1.pre-upgrade
+ sed -e '/password[ \t]*required[ \t]*pam_unix.so/ s/ md5$//' $1 >$1.post-upgrade \
+ && mv $1.post-upgrade $1
+ fi
+ }
+
+
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ if [ "x$2" != "x" ] ; then
+ if dpkg --compare-versions $2 lt 0.76 ; then
+ remove_md5 /etc/pam.d/other a9a9d551b75001ccb5b553927e46e601
+ fi
+ fi
+
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0